Skip to content

Get instance by instance ID

Request

Returns information about a specific instance. Pass the instance ID for which you require information as a path parameter.

Security
AdministrationAccess
Path
instanceIdstring, (uuid)required

The UUID of the Dynamic Monetization instance.

curl -i -X GET \
  'https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances/{instanceId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instance was retrieved

Bodyapplication/json
idstringread-only

The ID of the instance.

shortNamestring, [ 1 .. 100 ] charactersrequired

User-defined name of the instance.

accountIdstring, non-emptyrequired

ID of the customer account owning the instance.

defaultInstancebooleanread-only

Indicates whether this is the default instance for an account. If set to true, auto-provisioned line items will be mapped to this instance.

createdinteger, (int64)read-only

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was created.

modifiedinteger, (int64)read-only

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was last modified.

Response
{ "id": "string", "shortName": "string", "accountId": "string", "defaultInstance": true, "created": 0, "modified": 0 }